: Class TempFile

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## calypso.util
Class TempFile

    java.lang.Object
      |
      +--calypso.util.TempFile

public class TempFile
extends java.lang.Object

Utility class for generating temporary file names.

Constructor Summary
`protected` | `TempFile(java.lang.String aName)`

Method Summary
`java.io.OutputStream` | `append()`
`java.io.OutputStream` | `create()`
`void` | `delete()`
`protected void` | `finalize()`
`java.lang.String` | `getName()`
`static java.lang.String` | `GetTempDir()`
`static void` | `SetTempDir(java.lang.String aDir)` Set the native path name for the system's temporary directory.
`static TempFile` | `TempName(java.lang.String aExtension)` Create a new temporary file name that the calling thread can use that is unique and has the given extension.

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TempFile

    protected TempFile(java.lang.String aName)

Method Detail

### TempName

    public static TempFile TempName(java.lang.String aExtension)

  Create a new temporary file name that the calling thread can use that is unique and has the given extension.

### GetTempDir

    public static java.lang.String GetTempDir()

### SetTempDir

    public static void SetTempDir(java.lang.String aDir)

  Set the native path name for the system's temporary directory.

### create

    public java.io.OutputStream create()
                                throws java.io.IOException

### append

    public java.io.OutputStream append()
                                throws java.io.IOException

### getName

    public java.lang.String getName()

### delete

    public void delete()

### finalize

    protected void finalize()

  Overrides:
    finalize in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD